eoBit(3)

NAME
eoBit - Implementation of bitstring chromosome.

SYNOPSIS

#include <ga/eoBit.h>

Inherits eoVector< FitT, bool >.

Inherited by eoVirus< FitT >.

  Public Member Functions
eoBit (unsigned size=0, bool value=false)
(Default) Constructor.
virtual std::string className () const
My class name.
virtual void printOn (std::ostream &os) const
To print me on a stream.
virtual void readFrom (std::istream &is)
To read me from a stream.

Detailed Description

  template<class FitT> class eoBit< FitT >
Implementation of bitstring chromosome. Based on STL's vector<bool> specialization.

Definition at line 56 of file eoBit.h.

Constructor & Destructor Documentation

  template<class FitT> eoBit< FitT >::eoBit (unsigned size = 0, bool value = false) [inline]

(Default) Constructor.

Parameters:
    size Size of the binary std::string.

Definition at line 69 of file eoBit.h.

Member Function Documentation

  template<class FitT> virtual void eoBit< FitT >::printOn (std::ostream & os) const [inline, virtual]

To print me on a stream.

Parameters:
    os The std::ostream.

Reimplemented from eoVector< FitT, bool >.

Definition at line 82 of file eoBit.h.

References EO< F >::printOn().

  template<class FitT> virtual void eoBit< FitT >::readFrom (std::istream & is) [inline, virtual]

To read me from a stream.

Parameters:
    is The std::istream.

Reimplemented from eoVector< FitT, bool >.

Definition at line 94 of file eoBit.h.

References EO< F >::readFrom().

Author

Generated automatically by Doxygen for EO from the source code.